ChiliProject - Bug # 594: Wiki Diff somehow off

Status: Closed Priority: Normal
Author: Ferdinand Thommes Category: Wikis
Created: 2011-08-25 Assignee:

Updated: 2011-09-10 Due date:

Remote issue URL:

Affected version: 2141

Description: Looking at a diff on the wiki, we get confusing data.

"Screenshot1":http://www.picfront.org/d/8km8 shows user coruja as editor from 67 to 68
"Screenshot2":http://www.picfront.org/d/8kmc tells a different story
Related to #593

Associated revisions

2009-01-24 12:31 pm - Jean-Philippe Lang

Merged nested projects branch. Removes limit on subproject nesting (#594).

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@2304 €93{8b46-1217-0410-a6f0-8f06a7374b81

History

2011-08-25 08:35 pm - Ferdinand Thommes
edit:is it related to #593?

2011-08-26 07:17 am - Felix Schafer
Is this on all wiki pages or only on a specific one? Did you have any problems during the migration to 2.0? Could you have a look at the @journals@
table, specifically of the type @WikiContentJournal@, to see if you can find the history of the wiki page, and if it looks ok?

2011-08-26 07:20 am - Felix Schéfer
- Status changed from Open to Needs more information

(I'just had a look at the wiki here and one internal installation, and | couldn't find discrepancies, so for all intents and purposes I'll assume you have
inconsistent dataa€))

2011-08-27 06:12 pm - Ferdinand Thommes
Please have a look at this "testcase":http://demo.chiliproject.org/projects/sidutest

You should be able to reproduce the bug. Thanks.

2011-08-28 12:37 am - Alf Gaida

Felix SchA=fer wrote:

> Is this on all wiki pages or only on a specific one? Did you have any problems during the migration to 2.0? Could you have a look at the @journals@
table, specifically of the type @WikiContentJournal@, to see if you can find the history of the wiki page, and if it looks ok?

* this is on all wiki pages

* no problems, fresh 2.0 installation
* WikiContentJournal is empty

* journal looks ok for me, see paste

http://pastebin.com/WjZcipgB
2011-09-09 09:23 am - Ferdinand Thommes

should _:version_in:
@:wiki_diff_url => url_for(:controller => 'wiki', :action => 'diff', roject_id => wiki_content.project, :id => wiki_content.page.title, :version =>
wiki_content.version)@

be _:next_version_ or the like?

2011-09-10 07:27 am - Felix Schafer
- Target version set to 2.3.0

- Status changed from Needs more information to Closed

The diff view used a method on the journals that doesn't do the exact same thing as it did before, corrected in commit:225a158.
